
From: Geert Uytterhoeven <geert@linux-m68k.org>

Fritz!PCI/PCIv2/PnP and HYSDN unconditionally depend on PCI

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hisax/Kconfig |    2 +-
 25-akpm/drivers/isdn/hysdn/Kconfig |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/isdn/hisax/Kconfig~depends-on-pci-fritzpci-pciv2-pnp-and-hysdn drivers/isdn/hisax/Kconfig
--- 25/drivers/isdn/hisax/Kconfig~depends-on-pci-fritzpci-pciv2-pnp-and-hysdn	2004-07-26 17:27:18.526917040 -0700
+++ 25-akpm/drivers/isdn/hisax/Kconfig	2004-07-26 17:27:18.532916128 -0700
@@ -413,7 +413,7 @@ config HISAX_HFCUSB
 
 config HISAX_FRITZ_PCIPNP
 	tristate "AVM Fritz!Card PCI/PCIv2/PnP support (EXPERIMENTAL)"
-	depends on EXPERIMENTAL
+	depends on PCI && EXPERIMENTAL
 	help
 	  This enables the driver for the AVM Fritz!Card PCI,
 	  Fritz!Card PCI v2 and Fritz!Card PnP.
diff -puN drivers/isdn/hysdn/Kconfig~depends-on-pci-fritzpci-pciv2-pnp-and-hysdn drivers/isdn/hysdn/Kconfig
--- 25/drivers/isdn/hysdn/Kconfig~depends-on-pci-fritzpci-pciv2-pnp-and-hysdn	2004-07-26 17:27:18.528916736 -0700
+++ 25-akpm/drivers/isdn/hysdn/Kconfig	2004-07-26 17:27:18.532916128 -0700
@@ -3,7 +3,7 @@
 #
 config HYSDN
 	tristate "Hypercope HYSDN cards (Champ, Ergo, Metro) support (module only)"
-	depends on m && PROC_FS && BROKEN_ON_SMP
+	depends on m && PROC_FS && PCI && BROKEN_ON_SMP
 	help
 	  Say Y here if you have one of Hypercope's active PCI ISDN cards
 	  Champ, Ergo and Metro. You will then get a module called hysdn.
_
